;;; DO NOT MODIFY THIS FILE
(if (featurep 'efs-autoloads) (error "Already loaded"))

;;;### (autoloads nil "_pkg" "efs/_pkg.el")

(package-provide 'efs :version 1.08 :type 'regular)

;;;***

;;;### (autoloads nil "default-dir" "efs/default-dir.el")

(defvar default-directory-function nil "\
A function to call to compute the default-directory for the current buffer.
If this is nil, the function default-directory will return the value of the
variable default-directory.
Buffer local.")

;;;***

;;;### (autoloads (efs-ftp-path) "efs-cu" "efs/efs-cu.el")

(defvar efs-path-root-regexp "^/[^/:]+:" "\
Regexp to match the `/user@host:' root of an efs full path.")

(autoload 'efs-ftp-path "efs-cu" "\
Parse PATH according to efs-path-regexp.
Returns a list (HOST USER PATH), or nil if PATH does not match the format." nil nil)

;;;***

;;;### (autoloads (remote-path-file-handler-function) "efs-dump" "efs/efs-dump.el")

(defvar efs-path-root-regexp "^/[^/:]+:" "\
Regexp to match the `/user@host:' root of an efs full path.")

(or (assoc efs-path-root-regexp file-name-handler-alist) (setq file-name-handler-alist (cons (cons efs-path-root-regexp 'remote-path-file-handler-function) file-name-handler-alist)))

(autoload 'remote-path-file-handler-function "efs-dump" "\
Function to call special file handlers for remote files." nil nil)

;;;***

;;;### (autoloads nil "efs-fnh" "efs/efs-fnh.el")

(defvar allow-remote-paths t "\
*Set this to nil if you don't want remote paths to access
remote files.")

;;;***

;;;### (autoloads (efs-root-file-name-completion efs-root-file-name-all-completions efs-set-passwd) "efs-netrc" "efs/efs-netrc.el")

(autoload 'efs-set-passwd "efs-netrc" "\
For a given HOST and USER, set or change the associated PASSWORD." t nil)

(autoload 'efs-root-file-name-all-completions "efs-netrc" nil nil nil)

(autoload 'efs-root-file-name-completion "efs-netrc" nil nil nil)

;;;***

;;;### (autoloads (efs-report-bug) "efs-report" "efs/efs-report.el")

(autoload 'efs-report-bug "efs-report" "\
Submit a bug report for efs." t nil)

;;;***

;;;### (autoloads (efs-file-handler-function efs-nslookup-host efs-display-ftp-activity) "efs" "efs/efs.el")

(autoload 'efs-display-ftp-activity "efs" "\
Displays the number of active background ftp sessions in the modeline.
Uses the variable `efs-mode-line-format' to determine how this will be
displayed." t nil)

(autoload 'efs-nslookup-host "efs" "\
Attempt to resolve the given HOSTNAME using nslookup if possible." t nil)

(autoload 'efs-file-handler-function "efs" "\
Function to call special file handlers for remote files." nil nil)

;;;***

;;;### (autoloads (read-passwd) "passwd" "efs/passwd.el")

(autoload 'read-passwd "passwd" "\
Prompts for a password in the minibuffer, and returns it as a string.
If PROMPT may be a prompt string or an alist of elements 
'(prompt . default).
If optional arg CONFIRM is true, then ask the user to type the password
again to confirm that they typed it correctly.
If optional arg DEFAULT is provided, then it is a string to insert as
the default choice (it is not, of course, displayed.)

If running under X, the keyboard will be grabbed (with XGrabKeyboard())
to reduce the possibility that evesdropping is occuring.

When reading a password, all keys self-insert, except for:
\\<read-passwd-map>
	\\[read-passwd-erase-line]	Erase the entire line.
	\\[quoted-insert]	Insert the next character literally.
	\\[delete-backward-char]	Delete the previous character.
	\\[exit-minibuffer]	Accept what you have typed.
	\\[keyboard-quit]	Abort the command.

The returned value is always a newly-created string.  No additional copies
of the password remain after this function has returned.

NOTE: unless great care is taken, the typed password will exist in plaintext
form in the running image for an arbitrarily long time.  Priveleged users may
be able to extract it from memory.  If emacs crashes, it may appear in the
resultant core file.

Some steps you can take to prevent the password from being copied around:

 - as soon as you are done with the returned string, destroy it with
   (fillarray string 0).  The same goes for any default passwords
   or password histories.

 - do not copy the string, as with concat or substring - if you do, be
   sure to keep track of and destroy all copies.

 - do not insert the password into a buffer - if you do, be sure to 
   overwrite the buffer text before killing it, as with the functions 
   `passwd-erase-buffer' or `passwd-kill-buffer'.  Note that deleting
   the text from the buffer does NOT necessarily remove the text from
   memory.

 - be careful of the undo history - if you insert the password into a 
   buffer which has undo recording turned on, the password will be 
   copied onto the undo list, and thus recoverable.

 - do not pass it as an argument to a shell command - anyone will be
   able to see it if they run `ps' at the right time.

Note that the password will be temporarily recoverable with the `view-lossage'
command.  This data will not be overwritten until another hundred or so 
characters are typed.  There's not currently a way around this." nil nil)

;;;***

(provide 'efs-autoloads)
